STOFFChart::Legend Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
STOFFChart::Legend Struct Reference

a legend in a chart More...

`#include <STOFFChart.hxx>`

## Public Member Functions
| Legend ()
| constructor More...
void | addContentTo (librevenge::RVNGPropertyList &propList) const
| add content to the propList More...
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add style to the propList More...

## Public Attributes
bool | m_show
| show or not the legend More...
bool | m_autoPosition
| automatic position More...
int | m_relativePosition
| the automatic position libstoff::LeftBit|... More...
STOFFVec2f | m_position
| the position in points More...
STOFFFont | m_font
| the font More...

## Friends
std::ostream & | operator<< (std::ostream &o, Legend const &legend)
| operator<< More...

## Detailed Description

a legend in a chart

## Constructor & Destructor Documentation

STOFFChart::Legend::Legend | ( |  | ) |
| inline

constructor

## Member Function Documentation

void STOFFChart::Legend::addContentTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add content to the propList

Referenced by STOFFChart::sendChart().

void STOFFChart::Legend::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add style to the propList

Referenced by STOFFChart::sendChart().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFChart::Legend const & | legend
| ) |  |
| friend

operator<<

## Member Data Documentation

bool STOFFChart::Legend::m_autoPosition

automatic position

Referenced by operator<<().

STOFFFont STOFFChart::Legend::m_font

the font

STOFFVec2f STOFFChart::Legend::m_position

the position in points

Referenced by operator<<().

int STOFFChart::Legend::m_relativePosition

the automatic position libstoff::LeftBit|...

Referenced by operator<<().

bool STOFFChart::Legend::m_show

show or not the legend

Referenced by operator<<(), and STOFFChart::sendChart().

The documentation for this struct was generated from the following files:

- STOFFChart.hxx
- STOFFChart.cxx